<?php

namespace App\Controllers\Admin\Equipment;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\ServerHelper;
use App\Services\Equipment\ServerService;

class ServerController extends EquipmentController
{
  public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
  {
    parent::initController($request, $response, $logger);
    $this->title = lang("{$this->getService()->getClassName()}.title");
    $this->class_path .= $this->getService()->getClassName();
    $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
    // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

  }
  public function getService(): ServerService
  {
    if (!$this->_service) {
      $this->_service = new ServerService($this->request);
    }
    return $this->_service;
  }
  public function getHelper(): ServerHelper
  {
    if (!$this->_helper) {
      $this->_helper = new ServerHelper($this->request);
    }
    return $this->_helper;
  }
  //Index,FieldForm관련
  protected function setOrderByForList(): void
  {
    //OrderBy 처리
    $this->getService()->getModel()->orderBy('model', 'ASC', false);
    parent::setOrderByForList();
  }
}
